## org.apache.lucene.demo.facet
Class RangeFacetsExample

    java.lang.Object
      org.apache.lucene.demo.facet.RangeFacetsExample

All Implemented Interfaces:
  Closeable

    public class RangeFacetsExample

extends Object
implements Closeable

Shows simple usage of dynamic range faceting.

Constructor Summary
`RangeFacetsExample()` Empty constructor

Method Summary
`void` `close()`
`TopDocs` `drillDown(LongRange range)` User drills down on the specified range.
`void` `index()` Build the example index.
`static void` `main(String[] args)` Runs the search and drill-down examples and prints the results.
`List<FacetResult>` `search()` User runs a query and counts facets.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RangeFacetsExample

    public RangeFacetsExample()

  Empty constructor

Method Detail

### index

    public void index()
               throws IOException

  Build the example index.

  Throws:
    `IOException`

### search

    public List<FacetResult> search()
                             throws IOException

  User runs a query and counts facets.

  Throws:
    `IOException`

### drillDown

    public TopDocs drillDown(LongRange range)
                      throws IOException

  User drills down on the specified range.

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

### main

    public static void main(String[] args)
                     throws Exception

  Runs the search and drill-down examples and prints the results.

  Throws:
    `Exception`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.